{% extends 'Templates/layout.html.twig' %}
{% form_theme formView 'Templates/Forms/layout_form.html.twig' %}

{% block body %}
    <section class="mtb-50 mlr-50">
        <h1 class="text-center text-blue text-bold">{{ feature.title }}</h1>
        <h1 class="text-center text-orange">
            {% if edit is defined and task is defined %}
                Edition d'une Tâche ({{ task.title }})
            {% else %}
                Ajout d'une Tâche
            {% endif %}
        </h1>

        <hr class="hr-add w-100">

        {% if errors is not empty %}
            {% for error in errors %}
                <span class="alert alert-danger d-block d-center w-60">{{ error }}</span>
            {% endfor %}
        {% endif %}


        <article class="form-custom">

            {{ form_start(formView) }}

            <div>
                {{ form_label(formView.title) }}
                {{ form_widget(formView.title) }}
            </div>

            <div>
                {{ form_label(formView.start_date) }}
                {{ form_widget(formView.start_date) }}
            </div>

            <div>
                {{ form_label(formView.end_date) }}
                {{ form_widget(formView.end_date) }}
            </div>

            <div>
                {{ form_label(formView.code) }}
                {{ form_widget(formView.code) }}
            </div>

            <div>
                {{ form_label(formView.tag) }}
                {{ form_widget(formView.tag) }}
            </div>

            <div>
                {{ form_label(formView.previous_task) }}
                {{ form_widget(formView.previous_task) }}
            </div>

            {{ form_end(formView) }}
            
        </article>
    </section>
{% endblock %}